This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1010339 - Package upload generates metadata for every package uploaded
Package upload generates metadata for every package uploaded
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Walden Raines
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-20 10:46 EDT by Justin Sherrill
Modified: 2014-01-27 09:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 16:17:09 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Justin Sherrill 2013-09-20 10:46:51 EDT
Description of problem:

Currently if i use the cli to upload a directory of packages the metadata is regenerated for every package that is uploaded (and shortly applicability would be re-generated as well).

we should change this such that these things are only regenerated once.
Comment 3 Walden Raines 2013-10-15 11:14:16 EDT
katello:

commit cd90dfd43f3d5eec2b96e21016b8c810c5ec43e5
Merge: c669da4 04d4c9e
Author: Walden Raines <walden@redhat.com>
Date:   Tue Oct 15 08:11:22 2013 -0700

    Merge pull request #3177 from waldenraines/bug-1010339
    
    Bug #1010339 - uploading all repo content before generating metadata.

commit 04d4c9efc26d2348222f1f82092c5702ea57563c
Author: Walden Raines <walden@redhat.com>
Date:   Mon Oct 14 16:18:44 2013 -0400

    Bug #1010339 - uploading all repo content before generating metadata.



katello-cli:

commit fe061cd45fb5143f2b485d3fb54774659ce31811
Merge: 10cf659 a40c59a
Author: Walden Raines <walden@redhat.com>
Date:   Tue Oct 15 08:11:26 2013 -0700

    Merge pull request #107 from waldenraines/bug-1010339
    
    Bug #1010339: uploading all repo content before generating metadata.

commit a40c59addae0b20bbd1aa3f1feef568d6a1d1f63
Author: Walden Raines <walden@redhat.com>
Date:   Mon Oct 14 16:08:35 2013 -0400

    Bug #1010339: uploading all repo content before generating metadata.

Note You need to log in before you can comment on or make changes to this bug.